%define ld_ver 3
%define compat_ld_ver 2
%define libname %mklibname glibc_lsb

Name: glibc_lsb
Version: 2.4.7
Release: %mkrel 8
Group: System/Libraries
Summary: LSB dynamic loader links
License: Freely redistributable without restriction
URL: http://www.linuxbase.org/spec
Provides: glibc_lsb
Obsoletes: glibc_lsb

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Provides ld-lsb* dynamic loader links for LSB compliance

%package -n %libname
Group: System/Libraries
Summary: LSB dynamic loader links
Provides: glibc_lsb
Obsoletes: glibc_lsb

%description -n %libname
Provides ld-lsb* dynamic loader links for LSB compliance

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}
%ifarch %{ix86}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{ld_ver}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
ln -sf ld-2.4.so $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
ln -sf ld-2.4.so $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif

export DONT_SYMLINK_LIBS=1

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-, root, root)
%ifarch %{ix86}
/%{_lib}/ld-lsb.so.%{ld_ver}
/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.4.7-8.mga3
+ Revision: 351821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 29 2011 stewb <stewb> 2.4.7-7.mga1
+ Revision: 78811
- rework packaging for bi-arch support

* Thu Mar 24 2011 stewb <stewb> 2.4.7-6.mga1
+ Revision: 76841
- fix group

* Thu Jan 27 2011 stewb <stewb> 2.4.7-5.mga1
+ Revision: 42158
- imported package glibc_lsb

